## qgit 2.3

=== debian/changelog ===
qgit (2.3-2) unstable; urgency=low

  * Depend on git instead of git-core (Closes: #599201)
  * Fix qgit.desktop (Closes: #549648)
  * Suggest source-highlight (Closes: #547972)
  * Use git config instead of git repo-config (Closes: #626008)
  * Change source format to 3.0 (quilt)
  * Switch to debhelper compatibility level 8
  * Install the application icon and use it in qgit.desktop
  * Fix some spelling errors

 -- Andrey Rahmatullin <wrar@wrar.name>  Wed, 01 Jun 2011 21:17:16 +0600

qgit (2.3-1) unstable; urgency=low

  * New upstream release
  * Add .desktop file
  * Closes: #533161, #525331, #527911, #485930

 -- Wartan Hachaturow <wart@debian.org>  Fri, 19 Jun 2009 14:06:16 +0400

qgit (2.2-1) unstable; urgency=low

  * New upstream release
  * Closes: #456365

 -- Wartan Hachaturow <wart@debian.org>  Tue, 24 Mar 2009 19:10:51 +0300

qgit (1.5.7-1) unstable; urgency=low

  * New upstream release 
  * Closes: #441570, #441280
  * Get rid of config.sub and config.guess, Closes: #441286

 -- Wartan Hachaturow <wart@debian.org>  Thu, 13 Sep 2007 00:18:01 +0400

qgit (1.5.5-1) unstable; urgency=low

  * New upstream release
  * Closes: #412451

 -- Wartan Hachaturow <wart@debian.org>  Sat, 17 Mar 2007 12:31:40 +0300

qgit (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Wartan Hachaturow <wart@debian.org>  Sat, 16 Sep 2006 00:15:41 +0400

qgit (1.4-1) unstable; urgency=low

  * New upstream release
  * Minor package description improvement, Closes: #373640

 -- Wartan Hachaturow <wart@debian.org>  Wed, 30 Aug 2006 22:39:49 +0400

qgit (1.3-1) unstable; urgency=low

  * New upstream release

 -- Wartan Hachaturow <wart@debian.org>  Wed, 14 Jun 2006 01:08:32 +0400

qgit (1.2-1) unstable; urgency=low

  * Initial release
  * Closes: #366160

 -- Wartan Hachaturow <wart@debian.org>  Wed,  3 May 2006 14:43:11 +0400
