=== debian/control ===
Source: qgit
Section: vcs
Priority: optional
Maintainer: Wartan Hachaturow <wart@debian.org>
Uploaders: Andrey Rahmatullin <wrar@wrar.name>
Build-Depends: debhelper (>= 8), libqt4-dev (>= 4.3), libxext-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/qgit/
Vcs-Git: git://git.debian.org/collab-maint/qgit.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary

Package: qgit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, git
Recommends: stgit
Suggests: source-highlight
Description: Qt application for viewing GIT trees
 With qgit you will be able to browse revision tree, view patch content
 and changed files, graphically following different development branches.
 Main features:
  - View revisions, diffs, files history, files annotation, archive tree.
  - Commit changes visually cherry picking modified files.
  - Apply or format patch series from selected commits, drag and
    drop commits between two instances of qgit.
  - qgit implements a GUI for the most common StGIT commands like push/pop
    and apply/format patches. You can also create new patches or refresh
    current top one using the same semantics of git commit, i.e.
    cherry picking single modified files.
 .
