## qgit 2.4

=== debian/changelog ===
qgit (2.4-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - update Homepage
    - bump Standards-Version to 3.9.3 (no change needed)
    - update the B-D for debhelper to >= 9
  * debian/compat:
    - bump to 9
  * Add debian/watch
  * debian/rules:
    - convert to dh(1)
    - link with --as-needed
    - enable parallel building
    - enable all hardening options
  * debian/docs:
    - package TODO.txt
  * debian/install:
    - do not install qgit binary manually
  * debian/patches:
    - add fix-format-security.patch to fix building with
      -Werror=format-security
    - drop git-repo-config-deprecated.patch, included upstream

 -- Andrey Rahmatullin <wrar@wrar.name>  Fri, 15 Jun 2012 20:50:14 +0600
