=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 8), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.2
-Homepage: http://sourceforge.net/projects/qgit/
+Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
+Standards-Version: 3.9.3
+Homepage: http://libre.tibirna.org/projects/qgit
 Vcs-Git: git://git.debian.org/collab-maint/qgit.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary
