## qgit 2.5

=== debian/changelog ===
qgit (2.5-2) unstable; urgency=low

  * Fix the binary installaton path with recent Qt (Closes: #724814)
  * Drop stgit from Recommends
  * Use canonical paths in Vcs-* fields

 -- Andrey Rahmatullin <wrar@wrar.name>  Mon, 14 Oct 2013 23:59:26 +0600

qgit (2.5-1) unstable; urgency=low

  * Upload to unstable

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 04 May 2013 19:09:15 +0600

qgit (2.5-1~exp1) experimental; urgency=low

  * Upload to experimental
  * New upstream release
  * Bump Standards-Version to 3.9.4 (no change needed)

 -- Andrey Rahmatullin <wrar@wrar.name>  Sat, 22 Sep 2012 00:00:56 +0600
