=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@wrar.name>
 Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: git://git.debian.org/collab-maint/qgit.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/qgit.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/qgit.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
 
 Package: qgit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, git
-Recommends: stgit
 Suggests: source-highlight
 Description: Qt application for viewing GIT trees
  With qgit you will be able to browse revision tree, view patch content
