=== debian/watch ===
version=3
http://libre.tibirna.org/projects/qgit/news (?:.*/)?qgit-(.+)\.tar\.gz
