## qgit 2.6

=== debian/changelog ===
qgit (2.6-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.7 (no change needed)
  * Update Vcs-* fields to use HTTPS
  * Drop the menu file
  * Drop the MimeType field from .desktop as qgit cannot open directories from
    the command line anyway (Closes: #641745)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 27 Mar 2016 15:46:03 +0500
