=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: vcs
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
-Uploaders: Andrey Rahmatullin <wrar@wrar.name>
-Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.3), libxext-dev
-Standards-Version: 3.9.4
+Uploaders: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 9), cmake, qtbase5-dev
+Standards-Version: 3.9.7
 Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: git://anonscm.debian.org/collab-maint/qgit.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
 
 Package: qgit
 Architecture: any
