## qgit 2.7

=== debian/changelog ===
qgit (2.7-2) unstable; urgency=medium

  * Disable Ctrl+C shortcut for checkout (Closes: #867171).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 09 Jul 2017 21:16:02 +0500

qgit (2.7-1) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.0.0 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 25 Jun 2017 01:19:33 +0500

qgit (2.7-1~exp1) experimental; urgency=medium

  * New upstream release
    + fix a spelling error (Closes: #851193)
  * Upload to experimental
  * Bump the cmake version in B-D to 2.8.11
  * Switch to the debhelper compat level 10
  * Install the upstream desktop file
  * Bump Standards-Version to 3.9.8 (no change needed)

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 04 Mar 2017 20:17:52 +0500
