=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Wartan Hachaturow <wart@debian.org>
 Uploaders: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 9), cmake, qtbase5-dev
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.0.0
 Homepage: http://libre.tibirna.org/projects/qgit
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
