=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
