## qgit 2.8

=== debian/changelog ===
qgit (2.8-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 22 Jan 2021 12:12:12 +0800

qgit (2.8-1) unstable; urgency=medium

  * New upstream release.
    + fixes custom actions (Closes: #873621).
  * Remove Wartan Hachaturow from Maintainer.
  * Switch to the debhelper compat level 11.
  * Update Vcs-* to reflect the move to salsa.
  * Bump Standards-Version to 4.2.0 (no change needed).
  * Update Homepage.
  * Add Rules-Requires-Root: no.
  * Add a DEP3 header to remove-checkout-shortcut.patch.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 06 Aug 2018 20:09:20 +0500
