=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Wartan Hachaturow <wart@debian.org>
-Uploaders: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 10), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.0.0
-Homepage: http://libre.tibirna.org/projects/qgit
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/qgit.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/qgit.git;a=summary
+Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper (>= 11), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.2.0
+Homepage: https://github.com/tibirna/qgit
+Vcs-Git: https://salsa.debian.org/debian/qgit.git
+Vcs-Browser: https://salsa.debian.org/debian/qgit
+Rules-Requires-Root: no
 
 Package: qgit
 Architecture: any
