=== debian/changelog ===
qgit (2.9-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 21 Jan 2021 19:26:22 -0500

qgit (2.9-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrey Rahmatullin ]
  * Fix loading of invalid cache file (Closes: #926327).
  * Update standards version to 4.5.1, no changes needed.
  * Switch to the debhelper compat level 13.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 21 Jan 2021 23:08:02 +0500

qgit (2.9-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Switch from debian/compat to B-D: debhelper-compat.
  * Switch to the debhelper compat level 12.
  * Update debian/watch.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Oct 2019 22:40:56 +0500
