=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper (>= 11), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.2.0
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.11), qtbase5-dev
+Standards-Version: 4.5.1
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
@@ -26,4 +27,3 @@
     current top one using the same semantics of git commit, i.e.
     cherry picking single modified files.
  .
-
