=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
