## qgit 2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # see also http://stackoverflow.com/questions/16245147/unable-to-include-a-ui-form-header-of-qt5-in-cmake
 # see also http://www.qtcentre.org/wiki/index.php?title=Compiling_Qt4_apps_with_CMake
 #
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.10.2)
 
 project(qgit)
 include(GNUInstallDirs)
@@ -17,28 +17,8 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
-option(UseQt5 "Use Qt5?" ON)
-if (UseQt5)
-  find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
-  set(QT_LIBRARIES Qt5::Widgets)
-
-  macro(qt_wrap_ui)
-    qt5_wrap_ui(${ARGN})
-  endmacro()
-  macro(qt_add_resources)
-    qt5_add_resources(${ARGN})
-  endmacro()
-else()
-  find_package(Qt4 REQUIRED COMPONENTS QtCore QtGui)
-  include(${QT_USE_FILE})
-
-  macro(qt_wrap_ui)
-    qt4_wrap_ui(${ARGN})
-  endmacro()
-  macro(qt_add_resources)
-    qt4_add_resources(${ARGN})
-  endmacro()
-endif()
+set(QT_MIN_VERSION 5.11.0)
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
 
 include_directories(
     ${CMAKE_SOURCE_DIR}/src
@@ -77,7 +57,7 @@
 )
 
 # UIS_HDRS will be used later in add_executable
-QT_WRAP_UI(UIS_HDRS
+qt5_wrap_ui(UIS_HDRS
     src/commit.ui
     src/console.ui
     src/customaction.ui
@@ -91,22 +71,23 @@
 )
 
 # and finally an resource file
-SET(RESOURCE_FILES
+set(RESOURCE_FILES
     src/icons.qrc
 )
 
 # this command will generate rules that will run rcc on all files from SAMPLE_RCS
 # in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
-QT_ADD_RESOURCES(RC_SRCS ${RESOURCE_FILES})
+qt5_add_resources(RC_SRCS ${RESOURCE_FILES})
 
 add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})
-target_link_libraries(qgit ${QT_LIBRARIES})
+target_link_libraries(qgit Qt5::Widgets)
 
 
 install(TARGETS qgit DESTINATION bin)
 
 if (UNIX)
     install(FILES src/resources/qgit.png DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/48x48/apps)
+    install(FILES src/resources/qgit.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
     install(FILES qgit.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
     install(FILES qgit.appdata.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
 endif()
