=== debian/changelog ===
qgit (2.10-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove an unnecessary constraint on B-D: cmake.
  * Remove explicit -Wl,--as-needed.
  * Add Archive to debian/upstream/metadata.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 14 Jan 2022 22:58:48 +0500

qgit (2.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 14 Jan 2022 22:32:39 +0500
