=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Andrey Rahmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake (>= 2.8.11), qtbase5-dev
-Standards-Version: 4.5.1
+Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
+Standards-Version: 4.6.0
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
