=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qgit-$1\.tar\.gz/ \
  https://github.com/tibirna/qgit/tags .*/qgit-(\d\S+)\.tar\.gz
