## qgit 2.11

=== debian/changelog ===
qgit (2.11-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * Bump Standards-Version to 4.7.2.
  * Drop Rules-Requires-Root.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 25 May 2025 15:26:22 +0500
