=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qgit
 Section: vcs
 Priority: optional
-Maintainer: Andrey Rahmatullin <wrar@debian.org>
+Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
-Rules-Requires-Root: no
 
 Package: qgit
 Architecture: any
