## qgit 2.12

=== debian/changelog ===
qgit (2.12-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release.
  * Switch to X-DH-Compat: 14.
  * Switch to dh-sequence-zz-debputy.
  * Build with Qt6.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 19 Jul 2025 14:00:42 +0500
