=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: vcs
 Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev
+Build-Depends: debhelper (>= 13.15.2~),
+               dh-sequence-single-binary,
+               dh-sequence-zz-debputy,
+               cmake,
+               qt6-base-dev,
+               qt6-5compat-dev
 Standards-Version: 4.7.2
 Homepage: https://github.com/tibirna/qgit
 Vcs-Git: https://salsa.debian.org/debian/qgit.git
 Vcs-Browser: https://salsa.debian.org/debian/qgit
+X-DH-Compat: 14
 
 Package: qgit
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, git
+Depends: git
 Suggests: source-highlight
 Description: Qt application for viewing GIT trees
  With qgit you will be able to browse revision tree, view patch content
