## qgit 2.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,49 @@
 # Instruct CMake to run moc automatically when needed.
 set(CMAKE_AUTOMOC ON)
 
-set(QT_MIN_VERSION 5.11.0)
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
+# Select the Qt major version and its dependencies\
+set(QT_PACKAGE "Qt6" CACHE STRING "Major Qt version")
+set_property(CACHE QT_PACKAGE PROPERTY STRINGS "Qt6" "Qt5" "Qt4")
 
+find_package(QT NAMES ${QT_PACKAGE} REQUIRED)
+set(QT Qt${QT_VERSION_MAJOR})
+message(STATUS "Using ${QT}")
+
+if (QT_VERSION_MAJOR EQUAL 6)
+    set(QT_MIN_VERSION 6.2.4)
+    set(QT_MODULES Core Gui Widgets Core5Compat)
+    set(QT_LIBRARIES Qt6::Widgets Qt6::Core5Compat)
+elseif (QT_VERSION_MAJOR EQUAL 5)
+    set(QT_MIN_VERSION 5.11.0)
+    set(QT_MODULES Core Gui Widgets)
+    set(QT_LIBRARIES Qt5::Widgets)
+elseif (QT_MAJOR_VERSION EQUAL 4)
+    set(QT_MODULES QtCore QtGui)
+    include(${QT_USE_FILE})
+endif()
+
+find_package(${QT} ${QT_MIN_VERSION} REQUIRED COMPONENTS ${QT_MODULES})
+
+if (QT_VERSION VERSION_LESS 5.15)
+    if (QT_VERSION_MAJOR EQUAL 4)
+        macro(qt_wrap_ui)
+            qt4_wrap_ui(${ARGN})
+        endmacro()
+        macro(qt_add_resources)
+            qt4_add_resources(${ARGN})
+        endmacro()
+    elseif(QT_VERSION_MAJOR EQUAL 5)
+        macro(qt_wrap_ui)
+          qt5_wrap_ui(${ARGN})
+        endmacro()
+        macro(qt_add_resources)
+          qt5_add_resources(${ARGN})
+        endmacro()
+    endif()
+endif()
+
+
+# Sources
 include_directories(
     ${CMAKE_SOURCE_DIR}/src
 )
@@ -57,7 +97,7 @@
 )
 
 # UIS_HDRS will be used later in add_executable
-qt5_wrap_ui(UIS_HDRS
+qt_wrap_ui(UIS_HDRS
     src/commit.ui
     src/console.ui
     src/customaction.ui
@@ -77,11 +117,10 @@
 
 # this command will generate rules that will run rcc on all files from SAMPLE_RCS
 # in result SAMPLE_RC_SRCS variable will contain paths to files produced by rcc
-qt5_add_resources(RC_SRCS ${RESOURCE_FILES})
+qt_add_resources(RC_SRCS ${RESOURCE_FILES})
 
 add_executable(qgit ${CPP_SOURCES} ${UIS_HDRS} ${RC_SRCS})
-target_link_libraries(qgit Qt5::Widgets)
-
+target_link_libraries(qgit ${QT_LIBRARIES})
 
 install(TARGETS qgit DESTINATION bin)
