=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qgit
 Section: vcs
-Priority: optional
 Maintainer: Andrey Rakhmatullin <wrar@debian.org>
 Build-Depends: debhelper (>= 13.15.2~),
                dh-sequence-single-binary,
